image: openjdk:jdk

stages:
- build
- deploy

desktop:
  stage: build
  script:
  - ./gradlew desktop:dist
  artifacts:
    expire_in: 31d
    paths:
    - desktop/build/libs/

html:
  stage: build
  script:
  - ./gradlew html:dist
  artifacts:
    expire_in: 31d
    paths:
    - html/build/dist/

pages:
  stage: deploy
  image: alpine:latest
  script:
  - mv html/build/dist/ public/
  - mv desktop/build/libs/desktop-1.0.jar public/wodewick.jar
  artifacts:
    paths:
    - public/
  only:
  - master
